调用REST数据服务所需的Maven构件标识符 [已关闭]

0 投票
147 浏览
artifactId为iserver-all时,包含太多不需要的依赖,如mongodb。能否有个精简的、满足调用RestDataProvider的artifactId?

谢谢
问题关闭原因: resolved
最新提问 5月 31, 2017 分类:  147次浏览 | 用户: oracle 初出茅庐 (28 分)
已关闭 6月 1, 2017 用户:oracle

1个回答

0 投票

参考这篇帖子(REST API requires mongo?),只对接iServer REST API,最少需要的jar包如下:

aliyun-sdk-oss-2.0.6.jar
cal10n-api-0.7.7.jar
commons-io-2.5.jar
commons-lang-2.6.jar
commons-lang3-3.5.jar
ehcache-2.10.3.jar
fastjson-1.2.8.jar
iserver-all-8.1.1-14511.jar
jsr311-api-1.1.1.jar
log4j-1.2.17.jar
org.restlet.ext.json-2.2.3.jar
org.restlet.lib.org.json-2.0.jar
org.restlet-2.2.3.jar
rest-sdk-8.1.1-14511.jar
service-model-8.1.1-14511.jar
slf4j-api-1.7.21.jar
slf4j-ext-1.7.21.jar
slf4j-log4j12-1.7.21.jar

需要建个本地仓库,然后大多使用Nexus搭建、管理Maven仓库,目前超图并没有公开的JAVA API仓库,需要自己搭建。

最新回答 5月 31, 2017 用户: 毛瑞 名扬四海 (1,768 分)
修改于 5月 31, 2017 用户:毛瑞
需要阿里云?此列表不准

嗨,http://maven.supermap.io 这个库是用于扩展iServer的依赖,不是使用iServer JAVA API的,使用iServer JAVA API的依赖是根据使用确定的,并不固定,上面那个列表是我一个个试出来的(只对接iServer REST API,我试过iServer地图服务、数据服务、空间分析服务最少都要上述包,示例工程在博客里:http://blog.csdn.net/supermapsupport/article/details/70158940 JAVA API),缺任何一个都会有警告或者报错。

...